<?php
/*
    This file allows you to process post data on the module settings page.  This 
    code will execute just before the $PHORUM["phorum_mod_external_authentication"]
    data is committed to the database.
    
    The example below continues from the example of the settings.php plugin file 
    in which the admin was given the option to allow users to disable the page 
    that reads "ni."  This is also an example of how to toggle a checkbox in the 
    admin input form.
    
*/

// Make sure that this script is loaded from the admin interface.  DO NOT remove 
// this line.
if(!defined("PHORUM_ADMIN")) return;

// grab the allow_users_to_disable_ni data from the post and add it to the 
// External Authentecation settings
$PHORUM["phorum_mod_external_authentication"]["allow_users_to_disable_ni"] = empty($_POST["allow_users_to_disable_ni"]) ? 0 : 1;

/*
    By default, this module allows the forum admin to disable/enable 
    registration, login, and logut directly in Phorum.  If your plugin does not 
    support Phorum registration, login, or logout, you can remove these options 
    from the settings page.
    
    Please remove the commenting from any of the following options that you 
    would like to make use of.
*/

// remove the option to transfer admin status to Phorum
//$PHORUM["phorum_mod_external_authentication"]["remove_transfer_admin_status"] = 1;
// and force transfering admin status
//$PHORUM["phorum_mod_external_authentication"]["transfer_admin_status"] = 0;
// or disable transfering admin status
//$PHORUM["phorum_mod_external_authentication"]["transfer_admin_status"] = 1;

// remove the option to disable/enable Phorum logout
//$PHORUM["phorum_mod_external_authentication"]["remove_disable_phorum_logout"] = 1;
// and enable Phorum logout
//$PHORUM["phorum_mod_external_authentication"]["disable_phorum_logout"] = 0;
// or disable Phorum logout
//$PHORUM["phorum_mod_external_authentication"]["disable_phorum_logout"] = 1;

// remove the option to disable/enable Phorum login
//$PHORUM["phorum_mod_external_authentication"]["remove_disable_phorum_login"] = 1;
// and enable Phorum login
//$PHORUM["phorum_mod_external_authentication"]["disable_phorum_login"] = 0;
// or disable Phorum login
//$PHORUM["phorum_mod_external_authentication"]["disable_phorum_login"] = 1;

// remove the option to disable/enable Phorum registration
//$PHORUM["phorum_mod_external_authentication"]["remove_disable_phorum_registration"] = 1;
// and enable Phorum registration
//$PHORUM["phorum_mod_external_authentication"]["disable_phorum_registration"] = 0;
// or disable Phorum registration
//$PHORUM["phorum_mod_external_authentication"]["disable_phorum_registration"] = 1;

?>
